Loading...

Knowledge Center


Supported platforms, environments, and operating systems for Endpoint Security for Linux Firewall
Technical Articles ID:   KB91326
Last Modified:  11/12/2019

Environment

McAfee Endpoint Security for Linux (ENSL) Firewall 10.6.x

Summary

As Linux releases new operating systems or Service Packs, the original product guides might not reflect the current support policy for those platforms. Most of the following information is available in the product guides. But, some of the information is available only in Product Management statements published in the Knowledge Base.
 
Recent updates to this article
Date Update
November 12, 2019 Updated for ENSL Firewall 10.6.7.
October 8, 2019 Updated for ENSL Firewall 10.6.6.
September 10, 2019 Updated for ENSL Firewall 10.6.5.
August 15, 2019 Updated for ENSL Firewall 10.6.4.
July 10, 2019 Updated the "Supported McAfee Agent versions" section to include support for McAfee Agent 5.6.x.

To receive email notification when this article is updated, click Subscribe on the right side of the page. You must be logged on to subscribe.

Contents
Click to expand the section you want to view:
McAfee product software, upgrades, maintenance releases, and documentation are available from the Product Downloads site at: http://www.mcafee.com/us/downloads/downloads.aspx.

NOTE: You need a valid Grant Number for access. KB56057 provides additional information about the Product Downloads site, and alternate locations for some products.
 
ENSL Firewall Version Module Build Number Released to Support (RTS) General Availability (GA) Release Notes Known Issues
10.6.7 2 Firewall for Linux 10.6.7-113 N/A November 12, 2019 Release Notes KB91327
Endpoint Security Platform for Linux 10.6.7-117
10.6.6 1 Firewall for Linux 10.6.6-105 N/A October 8, 2019 Release Notes KB91327
Endpoint Security Platform for Linux 10.6.6-122
10.6.5 Firewall for Linux 10.6.5-104 N/A September 10, 2019 PD28481 KB91327
Endpoint Security Platform for Linux 10.6.5-104
10.6.4 Firewall for Linux 10.6.4-109 N/A August 13, 2019 PD28447 KB91327
Endpoint Security Platform for Linux 10.6.4-134
10.6.3 Firewall for Linux 10.6.3-113 N/A July 2, 2019 PD28396 KB91327
Endpoint Security Platform for Linux 10.6.3-129
10.6.2 Firewall for Linux 10.6.2-103 N/A May 7, 2019 PD28332 KB91327
Endpoint Security Platform for Linux 10.6.2-103
10.6.1 Firewall for Linux 10.6.1-109 N/A April 9, 2019 PD28311 KB91327
Endpoint Security Platform for Linux 10.6.1-119
10.6.0 Firewall for Linux 10.6.0-181 N/A March 12, 2019 PD28271 KB91327
Endpoint Security Platform for Linux 10.6.0-201

1 Application Control and Change Control, and MOVE Agentless Security Virtual Appliance (SVA), are not compatible with ENSL 10.6.6. Fresh installation or upgrade of ENSL 10.6.6 will fail on systems running Application Control or Change Control, MOVE Agentless SVA, or both.
2 Application Control and Change Control and MOVE Agentless Security Virtual Appliance (SVA) are not compatible with ENSL 10.6.7. A fresh installation or upgrade of ENSL 10.6.7 will fail on systems running Application Control or Change Control, MOVE Agentless SVA, or both. For more information about the compatibility issues with Application Control and Change Control, see KB92079.

Back to top
NOTE: ENSL Firewall supports the General Availability kernel that was shipped with the Linux build and subsequent minor/security updates. For example, kernel-2.6.34.7-61.fc13 and kernel-2.6.34.7-56.fc13 would be examples of supported minor/security updates.
 
Operating System ENSL Firewall 10.6.0-10.6.1 ENSL Firewall 10.6.2 ENSL Firewall 10.6.3 ENSL Firewall 10.6.4-10.6.6 ENSL Firewall 10.6.4-10.6.7
Amazon Linux 2 (2.0.20180622.1) Yes Yes Yes Yes Yes
Amazon Linux 2 (2017.12) Yes Yes Yes Yes Yes
Amazon Linux AMI 2014.03 / 2014.09 / 2015.03 / 2015.09 / 2016.03 / 2016.09 / 2017.03 / 2017.09 / 2018.03 Yes Yes Yes Yes Yes
CentOS 8.0 No No No No Yes
CentOS 7.0 / 7.1 / 7.2 / 7.3 / 7.4 / 7.5 / 7.6 Yes Yes Yes Yes Yes
CentOS 6.0 / 6.1 / 6.2 / 6.3 / 6.4 / 6.5 / 6.6 / 6.7 / 6.8 / 6.9 / 6.10 Yes Yes Yes Yes Yes
CentOS on Amazon Elastic Compute Cloud (Amazon EC2) Yes Yes Yes Yes Yes
Debian 9.x Yes Yes Yes Yes Yes
Debian 8.x Yes Yes Yes Yes Yes
Fedora 29 / 30 (desktop and server) No No No No Yes
Fedora 22 / 23 (desktop and server) Yes Yes Yes Yes Yes
Linux Mint 17.0 Qiana Yes Yes Yes Yes Yes
Novell Open Enterprise Server 11 SP1 Yes Yes Yes Yes Yes
openSUSE 42.1 Yes Yes Yes Yes Yes
Oracle Enterprise Linux 8.0 No No No Yes Yes
Oracle Enterprise Linux 7.x both Red Hat and UEK 6.7 Yes Yes Yes Yes Yes
Oracle Enterprise Linux 6.x both Red Hat and UEK 6.7 Yes Yes Yes Yes Yes
Red Hat Enterprise Linux Server 8.1 (64-bit) No No No No Yes
Red Hat Enterprise Linux Server 8.0 No Yes Yes Yes Yes
Red Hat Enterprise Linux Server 7.7 No No Yes Yes Yes
Red Hat Enterprise Linux Server 7.0 / 7.1 / 7.2 / 7.3 / 7.5 / 7.6 Yes Yes Yes Yes Yes
Red Hat Enterprise Linux Server 6.0 / 6.1 / 6.2 / 6.3 / 6.4 / 6.5 / 6.6 / 6.7 / 6.8 / 6.9 / 6.10 Yes Yes Yes Yes Yes
Red Hat Enterprise Linux Workstation 8.1 (64-bit) No No No No No
Red Hat Enterprise Linux Workstation 8.0 No Yes Yes Yes Yes
Red Hat Enterprise Linux Workstation 7.7 No No Yes Yes Yes
Red Hat Enterprise Linux Workstation 7.0 / 7.1 / 7.2 / 7.3 / 7.4 / 7.5 / 7.6 Yes Yes Yes Yes Yes
Red Hat Enterprise Linux Workstation 6.0 / 6.1 / 6.2 / 6.3 / 6.4 / 6.5 / 6.6 / 6.7 / 6.8 / 6.9 / 6.10 Yes Yes Yes Yes Yes
Red Hat Enterprise Linux on Amazon Elastic Compute Cloud (Amazon EC2) Yes Yes Yes Yes Yes
SUSE Linux Enterprise Server 15 Yes Yes Yes Yes Yes
SUSE Linux Desktop 12 SP1, SP2 Yes Yes Yes Yes Yes
SUSE Linux Desktop 11 SP3 Yes Yes Yes Yes Yes
SUSE Linux Enterprise Server 12 SP4 (64-bit) No No No Yes Yes
SUSE Linux Enterprise Server 12 SP1, SP2, SP3 Yes Yes Yes Yes Yes
SUSE Linux Enterprise Server 11 SP3, SP4 Yes Yes Yes Yes Yes
SUSE on Amazon Elastic Compute Cloud (Amazon EC2) Yes Yes Yes Yes Yes
Ubuntu 19.04 No No Yes Yes Yes
Ubuntu 12.04 / 14.04 / 16.04 / 18.04 / 18.10 Yes Yes Yes Yes Yes
Ubuntu on Amazon Elastic Compute Cloud (Amazon EC2) Yes Yes Yes Yes Yes

Back to top
ePO Version ENSL Firewall 10.6.0-10.6.7
5.10.x Yes
5.9.x Yes
5.3.x Yes
McAfee Agent Version ENSL Firewall 10.6.0-10.6.6 ENSL Firewall 10.6.7
5.6.2 Yes Yes
5.6.0-5.6.1 Yes No

Rate this document

Glossary of Technical Terms


 Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.